---
title: Ping (test authentication)
slug: api/ping-test-authentication
docTags: 
createdAt: 2025-06-24T08:27:01.570Z
---

{
  "id": "SQrn7vAl1P4esQIuGN-yN",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.mpay.com.au/tools/v1/ping",
    "servers": [
      {
        "url": "https://api.mpay.com.au/tools/v1/ping",
        "description": "Production URL"
      },
      {
        "url": "https://api.m-pay.com.au/tools/v1/ping",
        "description": "Sandbox URL"
      }
    ],
    "name": "Ping (test authentication)",
    "description": "The primary purpose of the ping API is to validate your credentials as well validate that Monoovas servers are up and running.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "successful validation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "toolsPingResponse_V1",
            "schema": [
              {
                "name": "durationMs",
                "kind": "optional",
                "type": "integer<int64>",
                "description": "This value represents the total time in milliseconds that the Platform took to process the request.",
                "example": 0
              },
              {
                "name": "statusDescription",
                "kind": "optional",
                "type": "string",
                "description": "This is a description of the status. If an 'Ok' status is returned, then this will be 'Operation completed successfully'.",
                "example": ""
              },
              {
                "name": "version",
                "kind": "optional",
                "type": "string",
                "description": "The current Version of the Platform with the current datetime at the server.",
                "example": ""
              },
              {
                "name": "environment",
                "kind": "optional",
                "type": "string",
                "description": "The environment being requested.",
                "example": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "description": "This is the status of the request. A code of 'Ok' indicates no errors.",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/toolsPingResponse_V1",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "NpLEeBoPT-_H1uc2zytIe",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.mpay.com.au/tools/v1/ping \\\n     --header 'accept: application/json'"
        },
        {
          "id": "lIRq0vS1_PAVNY9Fp1xKQ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.mpay.com.au/tools/v1/ping\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Gokll-TzhfEAvIyzk9zs3",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.mpay.com.au/tools/v1/ping\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0GtAb7r83DxxN_LQCiPB2",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.mpay.com.au/tools/v1/ping\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "NpLEeBoPT-_H1uc2zytIe"
    },
    "results": {
      "languages": [
        {
          "id": "trLwJ04PB6ySucHNJxlCQ",
          "language": "200",
          "code": "// successful validation\n{\n  \"durationMs\": \"\",\n  \"statusDescription\": \"\",\n  \"version\": \"\",\n  \"environment\": \"\",\n  \"status\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "trLwJ04PB6ySucHNJxlCQ"
    }
  },
  "children": [
    {
      "id": "Yw4W8FG-iq563G_p54eBe",
      "type": "paragraph",
      "children": [
        {
          "text": "The primary purpose of the ping API is to validate your credentials as well validate that Monoovas servers are up and running."
        }
      ]
    }
  ]
}